## tdedocker-trinity 14.0.11

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


##### general package setup #####################

project( tdedocker )
set( VERSION R14.0.11 )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_TRACING "Enable code tracing" OFF )


##### user requested modules ####################

option( BUILD_ALL "Build all" ON )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( icons )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )

tde_create_translated_desktop( tdedocker.desktop )

## tdedocker-trinity 14.0.10

=== debian/changelog ===
tdedocker-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Apr 2021 15:33:00 +0200

tdedocker-trinity (1.4-0) squeeze; urgency=low

  * Rename package to TDEDocker
  * Update to build with TDE R14

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 06 Sep 2018 02:11:12 +0200

tdedocker (1.3-0ubuntu1) edgy; urgency=low

  * Initial release
  * debian/patches/01-tdedocker-pro-fix-paths.dpatch
    + Since package uses qmake with default paths pointing
      to /usr/local we need to redefine all paths to point
      to the proper directory layout in debian/tdedocker
  * debian/patches/02-tdedocker-fix-tdedocker-desktop.dpatch
    + Same as the above. Paths for icon file are wrong.
      This patch fixes it.

 -- Lorenzo Villani <arbiter@arbiterlab.net>  Mon, 24 Jul 2006 16:58:25 +0200

=== debian/control ===
Source: tdedocker-trinity
Section: x11
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs-trinity-dev, libxpm-dev
Standards-Version: 3.7.2

Package: tdedocker-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: minimize all applications to system tray [Trinity]
 TDEDocker will help you dock any application into the system tray.
 This means you can dock openoffice, xmms, firefox, thunderbird,
 anything! Just point and click. Works for all NET WM compliant
 window managers - that includes TDE, KDE, GNOME, Xfce, Fluxbox
 and many more.

## tdedocker-trinity 14.0.11

=== debian/changelog ===
tdedocker-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:33 +0200

## tdedocker-trinity 14.0.13

=== debian/changelog ===
tdedocker-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 16:21:44 +0200

## tdedocker-trinity 14.1.0

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs-trinity-dev, libxpm-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxpm-dev
 Standards-Version: 3.7.2
 
 Package: tdedocker-trinity

## tdedocker-trinity 14.1.1

=== debian/changelog ===
tdedocker-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:17:02 +0200

## tdedocker-trinity 14.1.2

=== debian/changelog ===
tdedocker-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Mar 2024 00:50:59 +0100

## tdedocker-trinity 14.1.3

=== debian/changelog ===
tdedocker-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 May 2024 23:17:43 +0200

## tdedocker-trinity 14.1.4

=== debian/changelog ===
tdedocker-trinity (4:14.1.4-0ubuntu23.10.0+0) mantic; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxpm-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxpm-dev
 Standards-Version: 3.7.2
 
 Package: tdedocker-trinity

## tdedocker-trinity 14.1.5~pre0

=== debian/changelog ===
tdedocker-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for c8dad93eeeb67ed9764eac4ca4c60cfa5b804ece
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdedocker-trinity 14.1.5

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
  ${XMU_INCLUDEDIR}
  ${XPM_INCLUDEDIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdedocker ###################################

tde_add_executable( tdedocker AUTOMOC
  SOURCES
    tdedocker.cpp main.cpp tqtraylabel.cpp
    trace.cpp traylabelmgr.cpp util.cpp
  LINK
    tdecore-shared tdeio-shared tdeui-shared DCOP-shared
    ${XMU_LIBRARIES} ${XPM_LIBRARIES}
  DESTINATION
    ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
tdedocker-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdedocker-trinity 14.1.6~pre0

=== debian/changelog ===
tdedocker-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c8dad93eeeb67ed9764eac4ca4c60cfa5b804ece
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdedocker-trinity 14.1.6~pre1

=== debian/changelog ===
tdedocker-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e5847027f0ced3ff0f508fc856c837145614006b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:06:57 +0100

## tdedocker-trinity 14.2.0~pre24

=== debian/changelog ===
tdedocker-trinity (4:14.2.0~pre24-0raspbian11.0.0+6) raspbian-bullseye; urgency=low

  * Automated git build for 856c92069e6fd707e94d07162658c8851ba3d742
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxpm-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxpm-dev
 Standards-Version: 3.7.2
 
 Package: tdedocker-trinity

## tdedocker-trinity 14.2.0~pre25

=== debian/changelog ===
tdedocker-trinity (4:14.2.0~pre25-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 67cd87e7f1953ad4133b95be847c759ffebc7545
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdedocker

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:08:25 +0100
